com.taosdata.jdbc

## Class AbstractDriver

- java.lang.Object
- - com.taosdata.jdbc.AbstractDriver

All Implemented Interfaces:
  Driver

Direct Known Subclasses:
  RestfulDriver, TSDBDriver, WebSocketDriver

    public abstract class AbstractDriver
    extends Object
    implements Driver

### Constructor Summary

Constructors
Constructor and Description
`AbstractDriver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected DriverPropertyInfo[]` `getPropertyInfo(Properties info)`
`protected Connection` `getWSConnection(String url, ConnectionParam param, Properties props)`
`protected Properties` `parseURL(String url, Properties defaults)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Driver

`acceptsURL, connect, getMajorVersion, getMinorVersion, getParentLogger, getPropertyInfo, jdbcCompliant`

### Constructor Detail

#### AbstractDriver

    public AbstractDriver()

### Method Detail

#### getPropertyInfo

    protected DriverPropertyInfo[] getPropertyInfo(Properties info)

#### parseURL

    protected Properties parseURL(String url,
                                  Properties defaults)

#### getWSConnection

    protected Connection getWSConnection(String url,
                                         ConnectionParam param,
                                         Properties props)
                                  throws SQLException

Throws:
  `SQLException`